<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zjrs.ggfw.rlzysc.entity.ZyssqMapper">
    <select id="getZyssqList" parameterType="com.zjrs.ggfw.rlzysc.dto.GrqzZyssqDTO" resultType="com.zjrs.ggfw.rlzysc.dto.GrqzZyssqListDTO">
       select a.rs_rlzy_zyssq_lsh rsrlzyzyssqlsh ,
            a.rs_yhlsh rsyhlsh ,
            a.ssqmc ssqmc ,
            a.gzdq gzdq ,
            a.gzlb gzlb ,
            a.hylb hylb ,
            a.dwlb dwlb ,
            a.jjlb jjlb ,
            a.xlyq xlyq ,
            a.gznx gznx ,
            a.zdqwxz zdqwxz ,
            a.zgqwxz zgqwxz ,
            a.fbrq fbrq ,
            a.sjhm sjhm ,
            a.fszq fszq ,
            a.fszws fszws ,
            a.sfzndy sfzndy ,
            a.sfsjdy sfsjdy ,
            a.ts_yxbz tsyxbz ,
            a.ts_cjr tscjr ,
            a.ts_cjsj tscjsj ,
            a.ts_xgr tsxgr ,
            a.ts_xgsj tsxgsj
        from v_rs_rlzy_zyssq a
        where a.rs_yhlsh = #{rsyhlsh} order by a.ts_cjsj desc
    </select>

     <select id="countZyssq" resultType="java.lang.Integer">
          select count(1) cnt
          from v_rs_rlzy_zyssq a
          where a.rs_yhlsh = #{rsyhlsh} 
     </select>
</mapper>
